Subject: Re: [PATCH net-next 0/7] Decouple receive and transmit enablement in team driver

From: Jakub Kicinski <[email-masked]>
Date: Tue, 31 Mar 2026 18:53:56 -0700

On Tue, 31 Mar 2026 18:42:26 -0700 Marc Harvey wrote:
> On Tue, Mar 31, 2026 at 10:33 AM Jakub Kicinski <[email-masked]> wrote:
> >
> > On Tue, 31 Mar 2026 05:33:46 +0000 Marc Harvey wrote:  
> > > Allow independent control over receive and transmit enablement states
> > > for aggregated ports in the team driver.
> > >
> > > The motivation is that IEE 802.3ad LACP "independent control" can't
> > > be implemented for the team driver currently. This was added to the
> > > bonding driver in commit 240fd405528b ("bonding: Add independent
> > > control state machine").
> > >
> > > This series also has a few patches that add tests to show that the old
> > > coupled enablement still works and that the new decoupled enalbment
> > > works as intended (4, 5, and 7).
> > >
> > > There are three patches with small fixes as well, with the goal of
> > > making the final decouplement patch clearer (1, 2, and 3).  
> >
> > The tests don't pass for us, any dependencies we should be aware of?  
> 
> Ah, I added a check for this using the `require_command` function, but
> it seems I used it incorrectly. I will fix this in v2, and probably
> remove the pv dependency altogether.

Instead of adding require_command - please use socat if you can?

pv is frankly highly unusual, most system images won't have it
installed. nc has multiple incompatible implementations so it's
a portability nightmare.